Subject: Re: [bug#76537] [PATCH rust-team 0/8] Update wallust.

From: Steve George <[email-masked]>
Date: Mon, 7 Apr 2025 16:45:42 +0100

On Sun, 16 Mar 2025 01:03:09 -0400, Andrew Wong via Guix-patches via wrote:
> Just checking in on this patch series. Did it send correctly?
> 

Hi Andrew,

Thanks for the contribution! I applied these to the rust-team branch, details below. A couple of things I found:

Main reminder is to run the `guix lint` command which finds many common errors befor e you submit a patch. Details are in the manual. For example in a couple of cases silly things like Synopsis was too long etc.

Note that it's possible to exclude tests using the test-flags option: ideally it's better to do this than to set a package not to have _any_ tests. 

If you're going to work on rust-packages a lot it's worth using the rust-team branch as this will often have more up-to-date packages that are on their way into the distro. For example, I was able to drop one package as we already had it.

[1/8] gnu: Add rust-dirs-6.
      commit: 8c92737aa0a82e1bb2f1ebd60974573aeef85379
[2/8] gnu: Add rust-documented-macros-0.9.
      (no commit info)
[3/8] gnu: Add rust-itertools-0.14.
      (no commit info)
[4/8] gnu: rust-minijinja-2: Update to 2.7.0.
      commit: fe60e4039b97b3ba8a371e8bc76fa4463289dca6
[5/8] gnu: Add rust-strum-0.27.
      commit: c48ba38d7a916cacd6430f86fa8029bd762bfca5
[6/8] gnu: Add rust-strum-macros-0.27.
      (no commit info)
[7/8] gnu: rust-tempfile-3: Update to 3.17.1.
      commit: 4b8531384465b8bea19f3e4f20882fa0fbe67e88
[8/8] gnu: wallust: Update to 3.2.0.
      commit: 18a072dd0b9b52600ef03216bc2e130b390266d9

Best regards,
-- 
Steve George <[email-masked]>